import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JLabel;
import java.awt.BorderLayout;
import javax.swing.JButton;
import javax.swing.JPanel;
import javax.swing.JTextField;
import java.awt.GridLayout;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.SwingConstants;


public class simpleCalculator {

	private JFrame frame;
	private JTextField textField;
	
	private double numberSoFar = 0;
	private String operation = "+";
	private boolean firstDigit = true;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					simpleCalculator window = new simpleCalculator();
					window.frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the application.
	 */
	public simpleCalculator() {
		initialize();
	}

	public void performOperation(double value){
		switch(operation){
		case "+":
			numberSoFar += value;
			break;
		case "-":
			numberSoFar -= value;
			break;
		case "*":
			numberSoFar *= value;
			break;
		case "/":
			numberSoFar /= value;
			break;
		}
	}
	
	/**
	 * Initialize the contents of the frame.
	 */
	private void initialize() {
		frame = new JFrame();
		frame.setBounds(100, 100, 248, 364);
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.getContentPane().setLayout(new BorderLayout(0, 0));
		
		JPanel panel = new JPanel();
		frame.getContentPane().add(panel, BorderLayout.CENTER);
		panel.setLayout(new GridLayout(4, 3, 0, 0));
		
		JButton oneButton = new JButton("1");
		oneButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				if (firstDigit){
					textField.setText("1");
					firstDigit = false;
				}else{
					textField.setText(textField.getText()+"1");
				}
			}
		});
		panel.add(oneButton);
		
		JButton twoButton = new JButton("2");
		twoButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				if (firstDigit){
					textField.setText("2");
					firstDigit = false;
				}else{
					textField.setText(textField.getText()+"2");
				}
			}
		});
		panel.add(twoButton);
		
		JButton threeButton = new JButton("3");
		threeButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				if (firstDigit){
					textField.setText("3");
					firstDigit = false;
				}else{
					textField.setText(textField.getText()+"3");
				}
			}
		});
		panel.add(threeButton);
		
		JButton plusButton = new JButton("+");
		plusButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				double value = Double.parseDouble(textField.getText());
				performOperation(value);
				textField.setText(""+numberSoFar);
				operation = "+";
				firstDigit = true;
			}
		});
		panel.add(plusButton);
		
		JButton fourButton = new JButton("4");
		fourButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				if (firstDigit){
					textField.setText("4");
					firstDigit = false;
				}else{
					textField.setText(textField.getText()+"4");
				}
			}
		});
		panel.add(fourButton);
		
		JButton fiveButton = new JButton("5");
		fiveButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				if (firstDigit){
					textField.setText("5");
					firstDigit = false;
				}else{
					textField.setText(textField.getText()+"5");
				}
			}
		});
		panel.add(fiveButton);
		
		JButton sixButton = new JButton("6");
		sixButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				if (firstDigit){
					textField.setText("6");
					firstDigit = false;
				}else{
					textField.setText(textField.getText()+"6");
				}
			}
		});
		panel.add(sixButton);
		
		JButton minusButton = new JButton("-");
		minusButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				double value = Double.parseDouble(textField.getText());
				performOperation(value);
				textField.setText("" + numberSoFar);
				operation = "-";
				firstDigit = true;
			}
		});		
		panel.add(minusButton);
		
		JButton sevenButton = new JButton("7");
		sevenButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				if (firstDigit){
					textField.setText("7");
					firstDigit = false;
				}else{
					textField.setText(textField.getText()+"7");
				}
			}
		});
		panel.add(sevenButton);
		
		JButton eightButton = new JButton("8");
		eightButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				if (firstDigit){
					textField.setText("8");
					firstDigit = false;
				}else{
					textField.setText(textField.getText()+"8");
				}
			}
		});
		panel.add(eightButton);
		
		JButton nineButton = new JButton("9");
		nineButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				if (firstDigit){
					textField.setText("9");
					firstDigit = false;
				}else{
					textField.setText(textField.getText()+"9");
				}
			}
		});
		panel.add(nineButton);
		
		JButton multButton = new JButton("*");
		multButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				double value = Double.parseDouble(textField.getText());
				performOperation(value);
				textField.setText(""+numberSoFar);
				operation = "*";
				firstDigit = true;
			}
		});
		panel.add(multButton);
		
		JButton clearButton = new JButton("C");
		clearButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				textField.setText("0");
				numberSoFar = 0;
				operation = "+";
				firstDigit = true;
			}
		});
		panel.add(clearButton);
		
		JButton zeroButton = new JButton("0");
		zeroButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				if (firstDigit){
					textField.setText("0");
					firstDigit = false;
				}else{
					textField.setText(textField.getText()+"0");
				}
			}
		});
		panel.add(zeroButton);
		
		JButton equalsButton = new JButton("=");
		equalsButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				double value = Double.parseDouble(textField.getText());
				performOperation(value);
				textField.setText(""+numberSoFar);
				numberSoFar = 0;
				operation = "+";
				firstDigit = true;
			}
		});
		panel.add(equalsButton);
		
		JButton divButton = new JButton("/");
		divButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				double value = Double.parseDouble(textField.getText());
				performOperation(value);
				textField.setText(""+numberSoFar);
				operation = "/";
				firstDigit = true;
			}
		});		
		panel.add(divButton);
		
		textField = new JTextField();
		textField.setHorizontalAlignment(SwingConstants.LEFT);
		frame.getContentPane().add(textField, BorderLayout.NORTH);
		textField.setColumns(10);
		textField.setText("0");
	}

}
